<div
  class="full-width full-height neutral-background-color p-10"
  [sqtmCoreWorkspace]="'campaign-workspace'"
>
  <div
    class="header-bar full-height full-width m-l-10 m-r-10 current-workspace-main-color"
  >
    <sqtm-core-step-navigator
      [currentStep]="execution.currentStepIndex"
      [totalStep]="totalStepCount"
      (navigateTo)="handleNavigateTo($event)"
    >
    </sqtm-core-step-navigator>
    <sqtm-core-toggle-icon
      class="m-t-5"
      [active]="showFastForwardButton"
      (clickedInActiveMode)="handleFastForwardToNextExecution()"
    >
      <i
        nz-icon
        nzType="fast-forward"
        nzTheme="outline"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.campaign-workspace.execution-runner.next-test-case'
            | translate
        "
        class="action-icon-size"
        [attr.data-test-element-id]="'fast-forward'"
      >
      </i>
    </sqtm-core-toggle-icon>
    <div class="flex-row m-t-5">
      {{ 'sqtm-core.entity.generic.status.label' | translate }} :
      <div class="m-l-8" style="min-width: 100px">
        <sqtm-core-execution-status
          [status]="currentStep.executionStatus"
        ></sqtm-core-execution-status>
      </div>
    </div>
    <div class="m-t-5 flex-row">
      @if (permissions.canExecute && milestonesAllowModification) {
        <sqtm-app-execution-runner-status-button
          class="m-r-10"
          [status]="executionStatus.SUCCESS.id"
          (changeStatus)="handleChangeStatus($event)"
        >
        </sqtm-app-execution-runner-status-button>
      }
      @if (permissions.canExecute && milestonesAllowModification) {
        <sqtm-app-execution-runner-status-button
          class="m-r-10"
          [status]="executionStatus.FAILURE.id"
          (changeStatus)="handleChangeStatus($event)"
        >
        </sqtm-app-execution-runner-status-button>
      }
      @if (permissions.canExecute && milestonesAllowModification) {
        <sqtm-app-execution-runner-status-button
          class="m-r-10"
          [status]="executionStatus.BLOCKED.id"
          (changeStatus)="handleChangeStatus($event)"
        >
        </sqtm-app-execution-runner-status-button>
      }
      @if (permissions.canExecute && milestonesAllowModification) {
        <div
          class="__hover_pointer"
          nz-popover
          [(nzPopoverVisible)]="menuVisible"
          [nzPopoverContent]="contentTemplate"
          [nzPopoverTrigger]="'hover'"
          [nzPopoverPlacement]="'left'"
        >
          <i class="font-24-px" nz-icon nzType="ellipsis" nzTheme="outline"></i>
        </div>
      }
    </div>
    <div class="m-t-3 m-r-20 font-18-px">
      @if (allowTcModifDuringExec) {
        <i
          [attr.data-test-element-id]="'modification-during-exec'"
          class="__hover_pointer"
          (click)="handleModificationDuringExecution()"
          nz-icon
          nzType="sqtm-core-generic:edit"
          nzTheme="fill"
          nz-tooltip
          [nzTooltipTitle]="
            'sqtm-core.campaign-workspace.execution-runner.modify' | translate
          "
        >
        </i>
      }
    </div>
  </div>
</div>

<ng-template #contentTemplate>
  <sqtm-app-execution-runner-optional-status
    [disabledExecutionStatus]="disabledExecutionStatus"
    (changeStatus)="handleChangeStatus($event)"
  >
  </sqtm-app-execution-runner-optional-status>
</ng-template>
